// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commands.proto

#ifndef PROTOBUF_commands_2eproto__INCLUDED
#define PROTOBUF_commands_2eproto__INCLUDED

#include <string>

#include <google/protobuf/stubs/common.h>

#if GOOGLE_PROTOBUF_VERSION < 3005000
#error This file was generated by a newer version of protoc which is
#error incompatible with your Protocol Buffer headers.  Please update
#error your headers.
#endif
#if 3005000 < GOOGLE_PROTOBUF_MIN_PROTOC_VERSION
#error This file was generated by an older version of protoc which is
#error incompatible with your Protocol Buffer headers.  Please
#error regenerate this file with a newer version of protoc.
#endif

#include <google/protobuf/io/coded_stream.h>
#include <google/protobuf/arena.h>
#include <google/protobuf/arenastring.h>
#include <google/protobuf/generated_message_table_driven.h>
#include <google/protobuf/generated_message_util.h>
#include <google/protobuf/metadata.h>
#include <google/protobuf/message.h>
#include <google/protobuf/repeated_field.h>  // IWYU pragma: export
#include <google/protobuf/extension_set.h>  // IWYU pragma: export
#include <google/protobuf/map.h>  // IWYU pragma: export
#include <google/protobuf/map_entry.h>
#include <google/protobuf/map_field_inl.h>
#include <google/protobuf/unknown_field_set.h>
#include "value.pb.h"
#include "error.pb.h"
// @@protoc_insertion_point(includes)

namespace protobuf_commands_2eproto {
// Internal implementation detail -- do not use these members.
struct TableStruct {
  static const ::google::protobuf::internal::ParseTableField entries[];
  static const ::google::protobuf::internal::AuxillaryParseTableField aux[];
  static const ::google::protobuf::internal::ParseTable schema[4];
  static const ::google::protobuf::internal::FieldMetadata field_metadata[];
  static const ::google::protobuf::internal::SerializationTable serialization_table[];
  static const ::google::protobuf::uint32 offsets[];
};
void AddDescriptors();
void InitDefaultsCommandMessage_ParametersEntry_DoNotUseImpl();
void InitDefaultsCommandMessage_ParametersEntry_DoNotUse();
void InitDefaultsCommandMessageImpl();
void InitDefaultsCommandMessage();
void InitDefaultsCommandReply_ValuesEntry_DoNotUseImpl();
void InitDefaultsCommandReply_ValuesEntry_DoNotUse();
void InitDefaultsCommandReplyImpl();
void InitDefaultsCommandReply();
inline void InitDefaults() {
  InitDefaultsCommandMessage_ParametersEntry_DoNotUse();
  InitDefaultsCommandMessage();
  InitDefaultsCommandReply_ValuesEntry_DoNotUse();
  InitDefaultsCommandReply();
}
}  // namespace protobuf_commands_2eproto
namespace mascot {
class CommandMessage;
class CommandMessageDefaultTypeInternal;
extern CommandMessageDefaultTypeInternal _CommandMessage_default_instance_;
class CommandMessage_ParametersEntry_DoNotUse;
class CommandMessage_ParametersEntry_DoNotUseDefaultTypeInternal;
extern CommandMessage_ParametersEntry_DoNotUseDefaultTypeInternal _CommandMessage_ParametersEntry_DoNotUse_default_instance_;
class CommandReply;
class CommandReplyDefaultTypeInternal;
extern CommandReplyDefaultTypeInternal _CommandReply_default_instance_;
class CommandReply_ValuesEntry_DoNotUse;
class CommandReply_ValuesEntry_DoNotUseDefaultTypeInternal;
extern CommandReply_ValuesEntry_DoNotUseDefaultTypeInternal _CommandReply_ValuesEntry_DoNotUse_default_instance_;
}  // namespace mascot
namespace mascot {

// ===================================================================

class CommandMessage_ParametersEntry_DoNotUse : public ::google::protobuf::internal::MapEntry<CommandMessage_ParametersEntry_DoNotUse, 
    ::std::string, ::mascot::AttributeValue,
    ::google::protobuf::internal::WireFormatLite::TYPE_STRING,
    ::google::protobuf::internal::WireFormatLite::TYPE_MESSAGE,
    0 > {
public:
  typedef ::google::protobuf::internal::MapEntry<CommandMessage_ParametersEntry_DoNotUse, 
    ::std::string, ::mascot::AttributeValue,
    ::google::protobuf::internal::WireFormatLite::TYPE_STRING,
    ::google::protobuf::internal::WireFormatLite::TYPE_MESSAGE,
    0 > SuperType;
  CommandMessage_ParametersEntry_DoNotUse();
  CommandMessage_ParametersEntry_DoNotUse(::google::protobuf::Arena* arena);
  void MergeFrom(const CommandMessage_ParametersEntry_DoNotUse& other);
  static const CommandMessage_ParametersEntry_DoNotUse* internal_default_instance() { return reinterpret_cast<const CommandMessage_ParametersEntry_DoNotUse*>(&_CommandMessage_ParametersEntry_DoNotUse_default_instance_); }
  void MergeFrom(const ::google::protobuf::Message& other) PROTOBUF_FINAL;
  ::google::protobuf::Metadata GetMetadata() const;
};

// -------------------------------------------------------------------

class CommandMessage : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.CommandMessage) */ {
 public:
  CommandMessage();
  virtual ~CommandMessage();

  CommandMessage(const CommandMessage& from);

  inline CommandMessage& operator=(const CommandMessage& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  CommandMessage(CommandMessage&& from) noexcept
    : CommandMessage() {
    *this = ::std::move(from);
  }

  inline CommandMessage& operator=(CommandMessage&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const CommandMessage& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const CommandMessage* internal_default_instance() {
    return reinterpret_cast<const CommandMessage*>(
               &_CommandMessage_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    1;

  void Swap(CommandMessage* other);
  friend void swap(CommandMessage& a, CommandMessage& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline CommandMessage* New() const PROTOBUF_FINAL { return New(NULL); }

  CommandMessage* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const CommandMessage& from);
  void MergeFrom(const CommandMessage& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(CommandMessage* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------


  // accessors -------------------------------------------------------

  // map<string, .mascot.AttributeValue> parameters = 3;
  int parameters_size() const;
  void clear_parameters();
  static const int kParametersFieldNumber = 3;
  const ::google::protobuf::Map< ::std::string, ::mascot::AttributeValue >&
      parameters() const;
  ::google::protobuf::Map< ::std::string, ::mascot::AttributeValue >*
      mutable_parameters();

  // string deviceName = 1;
  void clear_devicename();
  static const int kDeviceNameFieldNumber = 1;
  const ::std::string& devicename() const;
  void set_devicename(const ::std::string& value);
  #if LANG_CXX11
  void set_devicename(::std::string&& value);
  #endif
  void set_devicename(const char* value);
  void set_devicename(const char* value, size_t size);
  ::std::string* mutable_devicename();
  ::std::string* release_devicename();
  void set_allocated_devicename(::std::string* devicename);

  // string commandName = 2;
  void clear_commandname();
  static const int kCommandNameFieldNumber = 2;
  const ::std::string& commandname() const;
  void set_commandname(const ::std::string& value);
  #if LANG_CXX11
  void set_commandname(::std::string&& value);
  #endif
  void set_commandname(const char* value);
  void set_commandname(const char* value, size_t size);
  ::std::string* mutable_commandname();
  ::std::string* release_commandname();
  void set_allocated_commandname(::std::string* commandname);

  // @@protoc_insertion_point(class_scope:mascot.CommandMessage)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::internal::MapField<
      CommandMessage_ParametersEntry_DoNotUse,
      ::std::string, ::mascot::AttributeValue,
      ::google::protobuf::internal::WireFormatLite::TYPE_STRING,
      ::google::protobuf::internal::WireFormatLite::TYPE_MESSAGE,
      0 > parameters_;
  ::google::protobuf::internal::ArenaStringPtr devicename_;
  ::google::protobuf::internal::ArenaStringPtr commandname_;
  mutable int _cached_size_;
  friend struct ::protobuf_commands_2eproto::TableStruct;
  friend void ::protobuf_commands_2eproto::InitDefaultsCommandMessageImpl();
};
// -------------------------------------------------------------------

class CommandReply_ValuesEntry_DoNotUse : public ::google::protobuf::internal::MapEntry<CommandReply_ValuesEntry_DoNotUse, 
    ::std::string, ::mascot::AttributeValue,
    ::google::protobuf::internal::WireFormatLite::TYPE_STRING,
    ::google::protobuf::internal::WireFormatLite::TYPE_MESSAGE,
    0 > {
public:
  typedef ::google::protobuf::internal::MapEntry<CommandReply_ValuesEntry_DoNotUse, 
    ::std::string, ::mascot::AttributeValue,
    ::google::protobuf::internal::WireFormatLite::TYPE_STRING,
    ::google::protobuf::internal::WireFormatLite::TYPE_MESSAGE,
    0 > SuperType;
  CommandReply_ValuesEntry_DoNotUse();
  CommandReply_ValuesEntry_DoNotUse(::google::protobuf::Arena* arena);
  void MergeFrom(const CommandReply_ValuesEntry_DoNotUse& other);
  static const CommandReply_ValuesEntry_DoNotUse* internal_default_instance() { return reinterpret_cast<const CommandReply_ValuesEntry_DoNotUse*>(&_CommandReply_ValuesEntry_DoNotUse_default_instance_); }
  void MergeFrom(const ::google::protobuf::Message& other) PROTOBUF_FINAL;
  ::google::protobuf::Metadata GetMetadata() const;
};

// -------------------------------------------------------------------

class CommandReply : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:mascot.CommandReply) */ {
 public:
  CommandReply();
  virtual ~CommandReply();

  CommandReply(const CommandReply& from);

  inline CommandReply& operator=(const CommandReply& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  CommandReply(CommandReply&& from) noexcept
    : CommandReply() {
    *this = ::std::move(from);
  }

  inline CommandReply& operator=(CommandReply&& from) noexcept {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  static const ::google::protobuf::Descriptor* descriptor();
  static const CommandReply& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const CommandReply* internal_default_instance() {
    return reinterpret_cast<const CommandReply*>(
               &_CommandReply_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    3;

  void Swap(CommandReply* other);
  friend void swap(CommandReply& a, CommandReply& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline CommandReply* New() const PROTOBUF_FINAL { return New(NULL); }

  CommandReply* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const CommandReply& from);
  void MergeFrom(const CommandReply& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(CommandReply* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------


  // accessors -------------------------------------------------------

  // map<string, .mascot.AttributeValue> values = 3;
  int values_size() const;
  void clear_values();
  static const int kValuesFieldNumber = 3;
  const ::google::protobuf::Map< ::std::string, ::mascot::AttributeValue >&
      values() const;
  ::google::protobuf::Map< ::std::string, ::mascot::AttributeValue >*
      mutable_values();

  // .mascot.Error error = 2;
  bool has_error() const;
  void clear_error();
  static const int kErrorFieldNumber = 2;
  const ::mascot::Error& error() const;
  ::mascot::Error* release_error();
  ::mascot::Error* mutable_error();
  void set_allocated_error(::mascot::Error* error);

  // bool success = 1;
  void clear_success();
  static const int kSuccessFieldNumber = 1;
  bool success() const;
  void set_success(bool value);

  // @@protoc_insertion_point(class_scope:mascot.CommandReply)
 private:

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::internal::MapField<
      CommandReply_ValuesEntry_DoNotUse,
      ::std::string, ::mascot::AttributeValue,
      ::google::protobuf::internal::WireFormatLite::TYPE_STRING,
      ::google::protobuf::internal::WireFormatLite::TYPE_MESSAGE,
      0 > values_;
  ::mascot::Error* error_;
  bool success_;
  mutable int _cached_size_;
  friend struct ::protobuf_commands_2eproto::TableStruct;
  friend void ::protobuf_commands_2eproto::InitDefaultsCommandReplyImpl();
};
// ===================================================================


// ===================================================================

#ifdef __GNUC__
  #pragma GCC diagnostic push
  #pragma GCC diagnostic ignored "-Wstrict-aliasing"
#endif  // __GNUC__
// -------------------------------------------------------------------

// CommandMessage

// string deviceName = 1;
inline void CommandMessage::clear_devicename() {
  devicename_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline const ::std::string& CommandMessage::devicename() const {
  // @@protoc_insertion_point(field_get:mascot.CommandMessage.deviceName)
  return devicename_.GetNoArena();
}
inline void CommandMessage::set_devicename(const ::std::string& value) {
  
  devicename_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:mascot.CommandMessage.deviceName)
}
#if LANG_CXX11
inline void CommandMessage::set_devicename(::std::string&& value) {
  
  devicename_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:mascot.CommandMessage.deviceName)
}
#endif
inline void CommandMessage::set_devicename(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  
  devicename_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:mascot.CommandMessage.deviceName)
}
inline void CommandMessage::set_devicename(const char* value, size_t size) {
  
  devicename_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:mascot.CommandMessage.deviceName)
}
inline ::std::string* CommandMessage::mutable_devicename() {
  
  // @@protoc_insertion_point(field_mutable:mascot.CommandMessage.deviceName)
  return devicename_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* CommandMessage::release_devicename() {
  // @@protoc_insertion_point(field_release:mascot.CommandMessage.deviceName)
  
  return devicename_.ReleaseNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void CommandMessage::set_allocated_devicename(::std::string* devicename) {
  if (devicename != NULL) {
    
  } else {
    
  }
  devicename_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), devicename);
  // @@protoc_insertion_point(field_set_allocated:mascot.CommandMessage.deviceName)
}

// string commandName = 2;
inline void CommandMessage::clear_commandname() {
  commandname_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline const ::std::string& CommandMessage::commandname() const {
  // @@protoc_insertion_point(field_get:mascot.CommandMessage.commandName)
  return commandname_.GetNoArena();
}
inline void CommandMessage::set_commandname(const ::std::string& value) {
  
  commandname_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:mascot.CommandMessage.commandName)
}
#if LANG_CXX11
inline void CommandMessage::set_commandname(::std::string&& value) {
  
  commandname_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:mascot.CommandMessage.commandName)
}
#endif
inline void CommandMessage::set_commandname(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  
  commandname_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:mascot.CommandMessage.commandName)
}
inline void CommandMessage::set_commandname(const char* value, size_t size) {
  
  commandname_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:mascot.CommandMessage.commandName)
}
inline ::std::string* CommandMessage::mutable_commandname() {
  
  // @@protoc_insertion_point(field_mutable:mascot.CommandMessage.commandName)
  return commandname_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* CommandMessage::release_commandname() {
  // @@protoc_insertion_point(field_release:mascot.CommandMessage.commandName)
  
  return commandname_.ReleaseNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void CommandMessage::set_allocated_commandname(::std::string* commandname) {
  if (commandname != NULL) {
    
  } else {
    
  }
  commandname_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), commandname);
  // @@protoc_insertion_point(field_set_allocated:mascot.CommandMessage.commandName)
}

// map<string, .mascot.AttributeValue> parameters = 3;
inline int CommandMessage::parameters_size() const {
  return parameters_.size();
}
inline const ::google::protobuf::Map< ::std::string, ::mascot::AttributeValue >&
CommandMessage::parameters() const {
  // @@protoc_insertion_point(field_map:mascot.CommandMessage.parameters)
  return parameters_.GetMap();
}
inline ::google::protobuf::Map< ::std::string, ::mascot::AttributeValue >*
CommandMessage::mutable_parameters() {
  // @@protoc_insertion_point(field_mutable_map:mascot.CommandMessage.parameters)
  return parameters_.MutableMap();
}

// -------------------------------------------------------------------

// -------------------------------------------------------------------

// CommandReply

// bool success = 1;
inline void CommandReply::clear_success() {
  success_ = false;
}
inline bool CommandReply::success() const {
  // @@protoc_insertion_point(field_get:mascot.CommandReply.success)
  return success_;
}
inline void CommandReply::set_success(bool value) {
  
  success_ = value;
  // @@protoc_insertion_point(field_set:mascot.CommandReply.success)
}

// .mascot.Error error = 2;
inline bool CommandReply::has_error() const {
  return this != internal_default_instance() && error_ != NULL;
}
inline const ::mascot::Error& CommandReply::error() const {
  const ::mascot::Error* p = error_;
  // @@protoc_insertion_point(field_get:mascot.CommandReply.error)
  return p != NULL ? *p : *reinterpret_cast<const ::mascot::Error*>(
      &::mascot::_Error_default_instance_);
}
inline ::mascot::Error* CommandReply::release_error() {
  // @@protoc_insertion_point(field_release:mascot.CommandReply.error)
  
  ::mascot::Error* temp = error_;
  error_ = NULL;
  return temp;
}
inline ::mascot::Error* CommandReply::mutable_error() {
  
  if (error_ == NULL) {
    error_ = new ::mascot::Error;
  }
  // @@protoc_insertion_point(field_mutable:mascot.CommandReply.error)
  return error_;
}
inline void CommandReply::set_allocated_error(::mascot::Error* error) {
  ::google::protobuf::Arena* message_arena = GetArenaNoVirtual();
  if (message_arena == NULL) {
    delete reinterpret_cast< ::google::protobuf::MessageLite*>(error_);
  }
  if (error) {
    ::google::protobuf::Arena* submessage_arena = NULL;
    if (message_arena != submessage_arena) {
      error = ::google::protobuf::internal::GetOwnedMessage(
          message_arena, error, submessage_arena);
    }
    
  } else {
    
  }
  error_ = error;
  // @@protoc_insertion_point(field_set_allocated:mascot.CommandReply.error)
}

// map<string, .mascot.AttributeValue> values = 3;
inline int CommandReply::values_size() const {
  return values_.size();
}
inline const ::google::protobuf::Map< ::std::string, ::mascot::AttributeValue >&
CommandReply::values() const {
  // @@protoc_insertion_point(field_map:mascot.CommandReply.values)
  return values_.GetMap();
}
inline ::google::protobuf::Map< ::std::string, ::mascot::AttributeValue >*
CommandReply::mutable_values() {
  // @@protoc_insertion_point(field_mutable_map:mascot.CommandReply.values)
  return values_.MutableMap();
}

#ifdef __GNUC__
  #pragma GCC diagnostic pop
#endif  // __GNUC__
// -------------------------------------------------------------------

// -------------------------------------------------------------------

// -------------------------------------------------------------------


// @@protoc_insertion_point(namespace_scope)

}  // namespace mascot

// @@protoc_insertion_point(global_scope)

#endif  // PROTOBUF_commands_2eproto__INCLUDED
